SOLIDWORKS PDM Professional API Help | Send Feedback
CreateTree Method (IEdmAddCustomRefs)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs Interface : CreateTree Method (IEdmAddCustomRefs)

Visual Basic
C#
C++/CLI

lEdmCreateReferenceFlags
  Combination of EdmCreateReferenceFlags bits

Computes the file reference tree.

# Syntax

Visual Basic |
--- | ---
    Function CreateTree( _
       ByVal lEdmCreateReferenceFlags As System.Integer _
    ) As System.Boolean

C# |
--- | ---
    System.bool CreateTree(
       System.int lEdmCreateReferenceFlags
    )

C++/CLI |
--- | ---
    System.bool CreateTree(
    &   System.int lEdmCreateReferenceFlags
    )

#### Parameters

lEdmCreateReferenceFlags
  Combination of EdmCreateReferenceFlags bits

#### Return Value

True if there are file references, false if not

# Example

Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

If this method returns true, call IEdmAddCustomRefs::ShowDlg to display and edit the file references.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs Interface
IEdmAddCustomRefs Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional